ICU 54.1 54.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- ~

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- a : UText
- access : UTextFuncs
- add() : icu::UCharsTrieBuilder , icu::Calendar , icu::UnicodeSet , icu::RunArray , icu::FontRuns , icu::BytesTrieBuilder , icu::UnicodeSet , icu::LocaleRuns , icu::ValueRuns , icu::UnicodeSet
- addAll() : icu::UnicodeSet
- addLabels() : icu::AlphabeticIndex
- addMatchSetTo() : icu::UnicodeMatcher , icu::UnicodeSet
- addMetaZone() : icu::TimeZoneNames::MatchInfoCollection
- addPattern() : icu::DateTimePatternGenerator
- addRecord() : icu::AlphabeticIndex
- addReplacementSetTo() : icu::UnicodeReplacer
- addTransitionRule() : icu::RuleBasedTimeZone
- addZone() : icu::TimeZoneNames::MatchInfoCollection
- adjustGlyphPositions() : icu::LayoutEngine
- adjustMarkGlyphs() : icu::LayoutEngine
- adjustPosition() : icu::LEGlyphStorage
- adoptArray() : icu::Formattable
- adoptAuxDataArray() : icu::LEGlyphStorage
- adoptCalendar() : icu::DateFormat , icu::SimpleDateFormat
- adoptCharIndicesArray() : icu::LEGlyphStorage
- adoptCurrencyPluralInfo() : icu::DecimalFormat
- adoptDateFormatSymbols() : icu::SimpleDateFormat
- adoptDecimalFormatSymbols() : icu::DecimalFormat , icu::RuleBasedNumberFormat
- adoptDefault() : icu::TimeZone
- adoptDigitList() : icu::Formattable
- adoptFilter() : icu::Transliterator
- adoptFormat() : icu::MessageFormat
- adoptFormats() : icu::MessageFormat
- adoptFrom() : icu::TimeZoneTransition
- adoptGlyphArray() : icu::LEGlyphStorage
- adoptGlyphCount() : icu::LEGlyphStorage
- adoptInstead() : icu::LocalPointerBase< T > , icu::LocalPointer< T > , icu::LocalArray< T >
- adoptNumberFormat() : icu::DateFormat , icu::MeasureFormat , icu::SimpleDateFormat
- adoptObject() : icu::Formattable
- adoptPositionArray() : icu::LEGlyphStorage
- adoptString() : icu::Formattable
- adoptText() : icu::BreakIterator , icu::RuleBasedBreakIterator
- adoptTimeZone() : icu::Calendar , icu::DateFormat , icu::DateIntervalFormat
- adoptTimeZoneFormat() : icu::SimpleDateFormat
- adoptTimeZoneNames() : icu::TimeZoneFormat
- adoptTo() : icu::TimeZoneTransition
- after() : icu::Calendar
- allocateAuxData() : icu::LEGlyphStorage
- allocateGlyphArray() : icu::LEGlyphStorage
- allocatePositions() : icu::LEGlyphStorage
- AlphabeticIndex() : icu::AlphabeticIndex
- AnnualTimeZoneRule() : icu::AnnualTimeZoneRule
- append() : icu::UnicodeString
- Append() : icu::ByteSink , icu::CheckedArrayByteSink , icu::StringByteSink< StringClass >
- append() : icu::UnicodeString , icu::FilteredNormalizer2 , icu::UnicodeString , icu::Normalizer2
- appendCodePoint() : icu::Appendable , icu::UnicodeStringAppendable
- appendCodeUnit() : icu::UnicodeStringAppendable , icu::Appendable
- appendReplacement() : icu::RegexMatcher
- appendString() : icu::Appendable , icu::UnicodeStringAppendable
- appendTail() : icu::RegexMatcher
- applyInsertion() : icu::LEGlyphStorage
- applyInsertions() : icu::LEGlyphStorage
- applyIntPropertyValue() : icu::UnicodeSet
- applyLocalizedPattern() : icu::SimpleDateFormat , icu::DecimalFormat
- applyPattern() : icu::ChoiceFormat , icu::UnicodeSet , icu::MessageFormat , icu::SelectFormat , icu::PluralFormat , icu::MessageFormat , icu::UnicodeSet , icu::MessageFormat , icu::DecimalFormat , icu::ChoiceFormat , icu::UnicodeSet , icu::SimpleDateFormat
- applyPropertyAlias() : icu::UnicodeSet
- areSignificantDigitsUsed() : icu::DecimalFormat
- array : USerializedSet
- assertSuccess() : icu::ErrorCode
- autoQuoteApostrophe() : icu::MessageFormat
- autoQuoteApostropheDeep() : icu::MessagePattern